SourceFolder (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Class SourceFolder

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
    - - org.gradle.plugins.ide.eclipse.model.SourceFolder

- All Implemented Interfaces:
    GroovyObject, ClasspathEntry

      public class SourceFolder
      extends AbstractClasspathEntry

  SourceFolder.path contains only project relative path.

- - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `accessRules, COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceFolder(Node node)`
    `SourceFolder(String projectRelativePath, String output)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendNode(Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getAbsolutePath()`
    `File` | `getDir()`
    `List<String>` | `getExcludes()`
    `List<String>` | `getIncludes()`
    `String` | `getKind()`
    `String` | `getName()`
    `String` | `getOutput()`
    `int` | `hashCode()`
    `void` | `setDir(File dir)`
    `void` | `setExcludes(List<String> excludes)`
    `void` | `setIncludes(List<String> includes)`
    `void` | `setName(String name)`
    `void` | `setOutput(String output)`
    `String` | `toString()`
    `void` | `trim()`
    `void` | `trim(String prefix)`

    - ### Methods inherited from class org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

      `addClasspathEntry, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, writeEntryAttributes`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceFolder

          public SourceFolder(Node node)

    - #### SourceFolder

          public SourceFolder(String projectRelativePath,
                      String output)

  - ### Method Detail

    - #### getOutput

          public String getOutput()

    - #### setOutput

          public void setOutput(String output)

    - #### getIncludes

          public List<String> getIncludes()

    - #### setIncludes

          public void setIncludes(List<String> includes)

    - #### getExcludes

          public List<String> getExcludes()

    - #### setExcludes

          public void setExcludes(List<String> excludes)

    - #### getDir

          public File getDir()

    - #### setDir

          public void setDir(File dir)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getKind

          public String getKind()

    - #### getAbsolutePath

          public String getAbsolutePath()

    - #### trim

          public void trim()

    - #### trim

          public void trim(String prefix)

    - #### appendNode

          public void appendNode(Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`
      Overrides:
        `appendNode` in class `AbstractClasspathEntry`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AbstractClasspathEntry`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractClasspathEntry`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractClasspathEntry`